Skip to main content
GET
Fetch fees for Stablecoin or Fiat payouts
Retrieves payout fees for both Stablecoin and Fiat transactions. Required parameters differ based on currency_type (defaults to STABLECOIN).

Headers

x-api-key
string
required

Query Parameters

amount
number<float>
required

The amount to calculate fees for

currency_type
enum<string>
default:STABLECOIN

Type of currency (STABLECOIN or FIAT). Defaults to STABLECOIN if not specified.

Available options:
STABLECOIN,
FIAT
from_currency
enum<string>
required

Source currency code (e.g., usdc)

Available options:
usdc
network
string

Blockchain network (required for STABLECOIN). Example: erc20, polygon, etc.

to_currency
enum<string>

Target fiat currency code (required for FIAT). Example: ngn, zar, etc.

Available options:
usdc,
ngn,
zar
market_pair
enum<string>

Optional filter for FIAT specific market pairs (e.g., usdcngn)

Available options:
usdcngn,
usdczar,
usdcusdc

Response

OK

The response is of type object.